/*
 * fragmentation_helpers.hpp
 *
 *  Created on: Oct 18, 2011
 *      Author: heber
 */

#ifndef FRAGMENTATION_FRAGMENTATION_HELPERS_HPP_
#define FRAGMENTATION_FRAGMENTATION_HELPERS_HPP_


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <deque>
#include <list>
#include <map>
#include <string>
#include <vector>

typedef std::deque<int> KeyStack;

class AtomMask_t;
class Graph;
class KeySet;
class molecule;

void PrintAtomMask(const AtomMask_t &AtomMask, int AtomCount);

int CombineAllOrderListIntoOne(Graph *&FragmentList, Graph ***FragmentLowerOrdersList, KeyStack &RootStack, molecule *mol);
void FreeAllOrdersList(Graph ***FragmentLowerOrdersList, KeyStack &RootStack, molecule *mol);

#endif /* FRAGMENTATION_FRAGMENTATION_HELPERS_HPP_ */
